Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 827221

Summary: dev-java/netty-common-4.0.36: fails tests
Product: Gentoo Linux Reporter: Sam James <sam>
Component: Current packagesAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal Keywords: PMASKED, PullRequest, TESTFAILURE
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/24963
https://github.com/gentoo/gentoo/pull/25941
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-25 04:19:01 UTC
Created attachment 756142 [details]
build.log

FAILURES!!!
Tests run: 212,  Failures: 37

 * ERROR: dev-java/netty-common-4.0.36::gentoo failed (test phase):
 *   Running junit failed

----
# emerge --info
Portage 3.0.28 (python 3.9.8-final-0, default/linux/x86/17.0/desktop/plasma, gcc-11.2.0, glibc-2.33-r7, 5.10.52-gentoo-dist i686)
=================================================================
System uname: Linux-5.10.52-gentoo-dist-i686-Intel-R-_Xeon-R-_CPU_E5-2620_v4_@_2.10GHz-with-glibc2.33
KiB Mem:    16393948 total,   9181508 free
KiB Swap:    4194268 total,   3910388 free
Timestamp of repository gentoo: Thu, 25 Nov 2021 03:36:36 +0000
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r3::gentoo
dev-lang/python:          2.7.18_p13::gentoo, 3.8.12_p1::gentoo, 3.9.8::gentoo
dev-lang/rust-bin:        1.56.1::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/openrc:          0.44.8::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /bound/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1

Binary Repositories:

binhost
    priority: 9999
    sync-uri: https://gentoo.osuosl.org/experimental/amd64/binpkg/default/linux/17.1/x86-64

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/spool/munin-async/.ssh"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
DISTDIR="/bound/distfiles"
EMERGE_DEFAULT_OPTS="--complete-graph --keep-going=y --deep --with-bdeps=y --getbinpkg=n --usepkg=n"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches -Wl,--defsym=__gentoo_check_ldflags__=0 -Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9 -l9"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus declarative dri dts dvd dvdr elogind emboss encode exif flac fortran gdbm gif gpm graphite gtk gui hardened iconv icu ipv6 jpeg kde kipi kwallet lcms libglvnd libnotify libtirpc mad mng mp3 mp4 mpeg ncurses nls nptl objc objc++ ogg opengl openmp pam pango pcre pdf plasma png policykit polkit ppds qml qt5 readline sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg tiff truetype udev udisks unicode upower usb vorbis wayland widgets wxwidgets x264 x86 xattr xcb xml xv xvid zlib" ABI_X86="32" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="framebuffer" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9 python3_7 python3_8" RUBY_TARGETS="ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-25 04:19:37 UTC
Same happened everywhere else (not arch specific?).
Comment 2 Larry the Git Cow gentoo-dev 2022-04-15 09:36:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d606af42d8cca142f9b508741f7b940d9a0f7621

commit d606af42d8cca142f9b508741f7b940d9a0f7621
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-04-10 17:16:39 +0000
Commit:     Florian Schmaus <flow@gentoo.org>
CommitDate: 2022-04-15 09:35:05 +0000

    dev-java/netty: initial import
    
    Replacement for netty-{common,buffer,transport}
    
    Bug: https://bugs.gentoo.org/827221
    Bug: https://bugs.gentoo.org/827919
    Bug: https://bugs.gentoo.org/831191
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/24963
    Signed-off-by: Florian Schmaus <flow@gentoo.org>

 dev-java/netty/Manifest            |   1 +
 dev-java/netty/metadata.xml        |  14 +++
 dev-java/netty/netty-4.1.35.ebuild | 206 +++++++++++++++++++++++++++++++++++++
 3 files changed, 221 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2022-06-19 05:22:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c0ab3205e5585315ce442475624dc75437462af

commit 1c0ab3205e5585315ce442475624dc75437462af
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-06-15 19:15:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-19 05:22:30 +0000

    profiles/package.mask: last-rite dev-java/netty-*
    
    Bug: https://bugs.gentoo.org/831191
    Bug: https://bugs.gentoo.org/849488
    Bug: https://bugs.gentoo.org/827221
    Bug: https://bugs.gentoo.org/827919
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/25941
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2022-07-18 15:49:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b06b378c7a0ce789d5291a6482e4e842efa39eb

commit 9b06b378c7a0ce789d5291a6482e4e842efa39eb
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-07-18 15:12:54 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-07-18 15:49:02 +0000

    dev-java/netty-common: treeclean
    
    Closes: https://bugs.gentoo.org/827919
    Closes: https://bugs.gentoo.org/827221
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 dev-java/netty-common/Manifest                     |  1 -
 dev-java/netty-common/metadata.xml                 | 11 ----
 .../netty-common/netty-common-4.0.36-r2.ebuild     | 72 ----------------------
 profiles/package.mask                              |  1 -
 4 files changed, 85 deletions(-)